local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.AlchemyProc(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Alchemy Proc's")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125TSM SetUp Alchemy Procs")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This TSM setup i created to use the TSM restock method and automatically account for the Proc Rates for Crafting with either Transmute, Potion and Elixir Master on your Alchemist's. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("However this will account for the procs giving you more gold and also turning unprofitable crafts into profitable ones. I have also attached a Posting Operation for selling these as well meaning it will adjust the prices of the Proc Items and as such make sure it will post them at a profit.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("It is Wise to Remember which Alchemist you are crafting which Mastery with. This is the only part to gold making like this and as such making a note will be helpful. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
 local MultiLineEditBox = AceGUI:Create("MultiLineEditBox")
MultiLineEditBox:SetLabel("Basic TSM Alchemy Procs Setup")
MultiLineEditBox:SetText("fs5ZUTTnCCC40mGICiioRXPnOaZWdDnPOOJs2Y2DBxSBsUSfup7SSERIsIwIWYseuuo29OoTZ(rqh2dqpShG8eqKhH8i0NG9Ju2ozDWj(GWp(JF43F83FOlLF(GZ(4jFO377F(JUUtOBaz8SQ94XUj)nN(tgM1BIYpNJJsgNkijGlZ6wTmKBcwnmmAwxBz1STfQ)7PHVury1g1Uf)Kq6ukF562YT0wnAJkoby1M3lwqJJumTmrV1sVtltdud5MxSHTClB5JTLBBl30(IngM3j1vHtJ83o77pMmeNgkYINq4CQhXo7DC8qbSzf53ANniiMXuKYDHLodIOmcVyX8lirEX8vB(5)eZjbXPjR8i3AOS8bG5t2MvEPS6Isvt0lua7P2TI6Z(Qppv95XR9qwR)qBV6qYNToMnFygGOIC3)ANmSduqodpnBmEApo1LK7q96r4UKiXJM7eIDhfsteBCLloYLe2NWIte2S9U7YZd4KKG4qVAg(3uSXFe5bAKkSZ8s5yvx4ByLP(rXCYVfF5Xl8v6Qrec73tXrcQy2UOC4sCYugfKBxK85SAJPrhAHqVWZbSCsNfNkED1foW8reXrzWg67n7af8)bCf0NH4oghwWPf18Rf18UIYvz17WS(qOqOCM6C9jjeH8LzPlYSAix5t(b5ZoLTJRQ5Pf)mIii2J9DgVX8vR)6uvLNGEIy3r1mrZ1Pq8qQORbc5NdlxUPbsEWPYFujO19jO0a0rAkRlBOoZEqV9u5ZZwc8fEHE3wPVzHNbXPqRo50U4qrsqgU4ftsqxhC0OG((P0qVawzO7EzNftk6e1wwbIrLChsy8LAptl9biRoCI(Tscjm81vPd9fhEC3(eFqZZ03Kot8HATUScgO30E9ugOvuTwp1Ts18bcOgY6bINgQX9hont97jAlzmV)GPzmuFqwhT4x1xv9)rFKCFOw)pZjryNqs30z25fMdGQSnx)esmRu(YMmylBpSgoiq(2aUQX(rL9phi)LGUJX0Wa2oQguNHccV45M3rxR8atdHoXWeEWntsogKJhp7cCykH7vS46jjfxlTxztwzLJP3ffExW2r79oKQhlpfsIjFrDB7I9xojwITtHNOvdNLUAmmODlW(lYRF9R5KTGtVCowa)r1a6NiLMNSYCR)n")
MultiLineEditBox:SetWidth(350)
MultiLineEditBox:SetNumLines(20)
scroll:AddChild(MultiLineEditBox)   
  
  
  











end